licenserecon: Überprüft Lizenzen in debian/copyright-Datei gegen licensecheck.

lrc parst eine gültige DEP-5-Copyright-Datei und notiert die Lizenzen aller Dateien
im Quellcode-Baum. Dann wird Licensecheck ausgeführt und die Ergebnisse werden verglichen.
Unterschiede zwischen Lizenzen und Lizenzversionen in debian/copyright
und der Ausgabe von licensecheck werden gemeldet.

Es sollte auf der obersten Ebene eines bereinigten Debian-Quellbaums ausgeführt werden,
mit einer gültigen DEP-5-Copyright-Datei. Der Quellcodebaum sollte sauber sein,
andernfalls könnten die Ergebnisse durch fehlerhafte Berichte über die vom Build
generierten Dateien. Es ist ratsam, zuerst lintian auszuführen, um die korrekte Syntax
von debian/copyright sicherzustellen.

Die Ergebnisse sind nur indikativ und kein Ersatz für eine manuelle Überprüfung.
Es ist beabsichtigt, offensichtliche Fehler zu melden. Das Design zielt darauf ab, falsch
Positivmeldungen so weit wie möglich zu minimieren. Falsch-positive Ergebnisse treten jedoch auf,
wenn die Schreibweise der Lizenz-Kurzzeichenfolge nicht identisch ist zwischen der Datei und
debian/copyright. Dies ist sehr wahrscheinlich bei komplexer Lizenzierung wie
'und'/'oder'-Konstruktionen und spezifischen Ausnahmen.

Falschmeldungen können unterdrückt werden, indem eine Datei debian/lrc.config erstellt wird.
Führen Sie in der Datei die auszuschließenden Dateinamen und/oder Verzeichnisse auf.
Die Syntax für diese Datei ist in /usr/share/lrc/lrc.config beschrieben.

Kommandozeilenoptionen, die bei jedem Lauf verwendet werden sollen (z.B. --spdx usw. bei Salsa CI)
können in debian/lrc.config aufgenommen werden

Es werden nur Dateien mit einem Copyright-Header geprüft.
Falsch-negative Ergebnisse können auftreten,
wenn licensecheck die Lizenz einer Datei nicht ermitteln kann.
Dateien mit dem Namen copyright, copying, readme usw. werden nicht geprüft,
da sie oft die Lizenzen anderer Dateien angeben und nicht ihre eigene.
Autogen erzeugte Autotools-Dateien werden nicht geprüft,
da sie nicht in debian/copyright aufgeführt werden müssen,
aufgeführt werden müssen und sonst als Unterschied erscheinen könnten.

EXIT CODES
    0: Keine Unterschiede gefunden
    1: Ausführung fehlgeschlagen (kein gültiges Debian/Copyright)
    3: Lizenzunterschiede gefunden

BEISPIEL AUSGABE
    Beispielhafte Ausgabe für den Aufruf von lrc.

    ERFOLGREICH:
        Parsing Source Tree  ....
        Reading copyright    ....
        Running licensecheck ....

        No differences found

    UNTERSCHIEDE:
        Parsing Source Tree  ....
        Reading copyright    ....
        Running licensecheck ....

        debian/copyright| licensecheck

        LGPL-2.1+       | GPL-2+ test/src/config/chan.c
        GPL-2+          | public-domain share/lua/int/dummy.lua
        GPL-2+          | LGPL-2.1+ modules/zugang/sr_common.h

OPTIONEN
Bei den Optionen wird die Groß- und Kleinschreibung nicht berücksichtigt.
Ungültige Optionen werden ignoriert.

-? -h oder --help
Schreibt diese Readme-Datei auf stdout.

-l oder --lang
Die Ausgabe wird für jede Datei erzeugt, in der licensecheck die Lizenz erkennt,
nicht nur für diejenigen mit Lizenzdiskrepanzen.

-f oder --format
Formatiert ausgabe.
Gibt die debian/copyright-Lizenz, licensecheck-Lizenz und den Dateinamen
auf drei separaten Zeilen aus, gefolgt von einer Leerzeile.
Kopfzeilen und Zusammenfassungszeilen werden unterdrückt.
Versionsinformationen werden nicht ausgegeben
es sei denn, sie werden mit der Option -v angegeben.

-s oder --short
Wenn Blöcke von Dateien mit identischen Lizenzunterschieden ausgegeben werden sollen,
wird nur die erste Datei angezeigt. Hat Vorrang vor -l (falls angegeben)

-v oder --version
Schreibt die Versionsnummern von licenserecon und licenscheck nach stdout und beendet sich dann

-x or --spdx
Erwartet Lizenzkurznamen im SPDX-Stil. (Standard ist debian DEP 5 Kurznamen)

SALSA CI PIPELINE
lrc kann in Salsa CI Pipelines eingebunden werden, indem man
 debian/salsa-ci.yml@debian/licenserecon
als CI/CD-Konfigurationsdatei verwendet wird.

